RunSuite Struct Reference

`#include <test-runner.h>`

Collaboration diagram for RunSuite:
[legend]

## Public Member Functions

int | findTest (std::string name)

## Public Attributes

const char * | name
RunTest * | tests
int | testCount

## Member Function Documentation

int RunSuite::findTest | ( | std::string | name | ) |

inline

References testCount.

Referenced by Main::child().

## Member Data Documentation

const char* RunSuite::name

Referenced by RunAll::runSuite(), and RunAll::runTest().

int RunSuite::testCount

Referenced by findTest(), and RunAll::runSuite().

RunTest* RunSuite::tests

Referenced by RunAll::runSuite(), and RunAll::runTest().

The documentation for this struct was generated from the following file:

- test-runner.h